package org.springblade.modules.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.entity.CyryEntity;
import org.springblade.modules.entity.SydwEntity;
import org.springblade.modules.vo.DwdzVO;
import org.springblade.modules.vo.UserVO;

import java.util.List;

public interface SydwService extends IService<SydwEntity> {
	IPage<SydwEntity> selectSydwPage(IPage<SydwEntity> page, SydwEntity sydwEntity);

	SydwEntity sydwDetail(SydwEntity sydwEntity);

	List<CyryEntity> selectCyryByDzbm(String tyshxydm);

	CyryEntity cyryDetail(CyryEntity cyryEntity);

    List<DwdzVO> selectDwDz(String deptId);

	List<CyryEntity> selectCyrylsByDzbm(String tyshxydm);

    UserVO djxx(Long userId);

	List<SydwEntity> getMphxlhByLdphxlh(String ldphxlh);

	SydwEntity selectFwInfo(SydwEntity sydwEntity, String dzbm);
}
